nl.topicus.jdbc

## Class Logger

- java.lang.Object
- - nl.topicus.jdbc.Logger

    public final class Logger
    extends Object

Poor man's logging infrastructure. This just deals with maintaining a per- connection ID and log level, and timestamping output.

### Constructor Summary

Constructors
Constructor and Description
`Logger()`
`Logger(int connectionID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug(String str)`
`void` `debug(String str, Throwable t)`
`int` `getLogLevel()`
`void` `info(String str)`
`void` `info(String str, Throwable t)`
`void` `log(String str, Throwable t)`
`boolean` `logDebug()`
`boolean` `logInfo()`
`void` `setLogLevel(int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    public Logger()

#### Logger

    public Logger(int connectionID)

### Method Detail

#### setLogLevel

    public void setLogLevel(int level)

#### getLogLevel

    public int getLogLevel()

#### logDebug

    public boolean logDebug()

#### logInfo

    public boolean logInfo()

#### debug

    public void debug(String str)

#### debug

    public void debug(String str,
                      Throwable t)

#### info

    public void info(String str)

#### info

    public void info(String str,
                     Throwable t)

#### log

    public void log(String str,
                    Throwable t)